<p>Nakon upoznavanja s tipovima podataka koje ćemo koristiti u VHDL-u za opisivanje digitalnog sklopovlja,
   spremni smo za izradu prvog modela. Pojam "model" koristit ćemo kao sinonim za formalni opis sklopa jezikom
   za specificiranje formalnih opisa (u našem slučaju: jezik VHDL). Ako ste preskočili prethodnu minilekciju
   koja daje ovaj uvod, prođite najprije kroz nju, prije no što nastavite dalje.</p>

<p>U najjednostavnijem obliku, model sklopa u jeziku VHDL je tekstovni dokument koji se sastoji od tri dijela, 
   navedenih u nastavku.</p>

<ol>
<li><strong>Deklaracija korištenih biblioteka i paketa</strong>. Ovaj dio nije nužan ako koristimo samo najosnovniji
    podskup jezika VHDL. Već smo u prethodnoj minilekciji napomenuli da ćemo za modeliranje sklopova koristiti
    podatkovne tipove <code>std_logic</code> i <code>std_logic_vector</code> pa ćemo zbog toga u opis sklopa morati uključiti
    prikladnu biblioteku i paket.</li>
<li><strong>Deklaracija sučelja sklopa.</strong>. Sučelje sklopa definira na koji način okolina i modelirani sklop 
    komuniciraju. Sučelje sklopa će definirati što su sve ulazi u sklop a što su izlazi iz sklopa. Povučemo li
    paralelu s proceduralnim programskim jezicima, sučelje bi odgovaralo prototipu funkcije jer prototip definira
    naziv funkcije te njezine argumente i povratnu vrijednost.</li>
<li><strong>Deklaracija arhitekture sklopa</strong>. Arhitektura sklopa definira na koji način sklop na temelju
    ulaza generira izlazne vrijednosti. Modeli toka podataka, strukturni model i ponašajni model koje smo spomenuli
    u prethodnoj minilekciji upravo su načini na koje možemo definirati arhitekturu sklopa. Povučemo li
    paralelu s proceduralnim programskim jezicima, arhitektura bi odgovarala tijelu funkcije koje sadrži naredbe koje
    definiraju što ta funkcija zapravo radi.</li>
</ol>

